HP-UX OpenSSL “EVP_VerifyFinal” hamis aláírás sérülékenysége

CH azonosító

CH-2080

Felfedezés dátuma

2009.04.01.

Súlyosság

Közepes

Érintett rendszerek

HP-UX
Hewlett Packard (HP)

Érintett verziók

Hewlett Packard (HP) HP-UX B.11.11, B.11.23, B.11.31

Összefoglaló

A HP kiadta az OpenSSL frissítését. Ez javít egy sérülékenységet, amelyet a támadók kihasználhatnak hamisításos támadások lefolytatására.

Leírás

A HP kiadta az OpenSSL frissítését. Ez javít egy sérülékenységet, amelyet a támadók kihasználhatnak hamisításos támadások lefolytatására.

Az OpenSSL 0.9.8i és a korábbiak nem ellenőrzik megfelelően az EVP_VerifyFinal függvény által visszaadott értéket. Ez lehetővé teszi a hitelesítési lánc érvényesítésének megkerülését a DSA és ECDSA kulcsokhoz tartozó hibásan megformázott SSL/TLS aláírásokkal.

A sérülékenységet az OpenSSL-t futtató HP-UX B.11.11, B.11.23 és B.11.31 verzióiban jelentették.

Megoldás

Frissítsen a legújabb verzióra